### Hierarchy

- unknown
  - ValidateFormFieldRequest

## Index

### Constructors

- constructor

### Methods

- clearForm
- getFieldId
- getForm
- getValue
- hasForm
- serializeBinary
- setFieldId
- setForm
- setValue
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new ValidateFormFieldRequest(): ValidateFormFieldRequest

- Inherited from jspb.Message.constructor

  #### Returns ValidateFormFieldRequest

## Methods

### clearForm

- clearForm(): ValidateFormFieldRequest

- - Defined in src/protobuf/grpc_pb.d.ts:2001

  #### Returns ValidateFormFieldRequest

### getFieldId

- getFieldId(): FieldId

- - Defined in src/protobuf/grpc_pb.d.ts:2003

  #### Returns FieldId

### getForm

- getForm(): undefined | PaymentAccountForm

- - Defined in src/protobuf/grpc_pb.d.ts:1998

  #### Returns undefined | PaymentAccountForm

### getValue

- getValue(): string

- - Defined in src/protobuf/grpc_pb.d.ts:2006

  #### Returns string

### hasForm

- hasForm(): boolean

- - Defined in src/protobuf/grpc_pb.d.ts:2000

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:2009

  #### Returns Uint8Array

### setFieldId

- setFieldId(value: FieldId ): ValidateFormFieldRequest

- - Defined in src/protobuf/grpc_pb.d.ts:2004

  #### Parameters

  - ##### value: FieldId

  #### Returns ValidateFormFieldRequest

### setForm

- setForm(value?: PaymentAccountForm ): ValidateFormFieldRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1999

  #### Parameters

  - ##### Optional value: PaymentAccountForm

  #### Returns ValidateFormFieldRequest

### setValue

- setValue(value: string): ValidateFormFieldRequest

- - Defined in src/protobuf/grpc_pb.d.ts:2007

  #### Parameters

  - ##### value: string

  #### Returns ValidateFormFieldRequest

### toObject

- toObject(includeInstance?: boolean): ValidateFormFieldRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2010

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns ValidateFormFieldRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): ValidateFormFieldRequest

- - Defined in src/protobuf/grpc_pb.d.ts:2013

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns ValidateFormFieldRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: ValidateFormFieldRequest, reader: BinaryReader): ValidateFormFieldRequest

- - Defined in src/protobuf/grpc_pb.d.ts:2014

  #### Parameters

  - ##### message: ValidateFormFieldRequest

  - ##### reader: BinaryReader

  #### Returns ValidateFormFieldRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: ValidateFormFieldRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:2012

  #### Parameters

  - ##### message: ValidateFormFieldRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: ValidateFormFieldRequest ): ValidateFormFieldRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2011

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: ValidateFormFieldRequest

  #### Returns ValidateFormFieldRequest . AsObject

Generated using TypeDoc